TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
PointForceController Class Reference

Inherits PickingSceneController.

## Public Member Functions
Float | getAngularDrag ()
Float | getForce ()
Float | getLinearDrag ()
Boolean | getNonLinear ()
String | getPosition ()
Float | getRadius ()
String | getTrackedObject ()
void | setAngularDrag (angularDrag)
void | setForce (force)
void | setLinearDrag (linearDrag)
void | setNonLinear (nonLinear)
void | setPosition (float x, float y)
void | setRadius (radius)
void | setTrackedObject (sceneObject)
Public Member Functions inherited from PickingSceneController
String | getControlGroups ()
String | getControlLayers ()
void | setControlGroups (groups $)
void | setControlLayers (layers $)
Public Member Functions inherited from SimObject
Integer | clone ([copyDynamicFields=false]?)
void | delete ()
Integer | getId ()
void | setName (newName)
String | getName ()
String | getClassNamespace ()
String | getSuperClassNamespace ()
void | setClassNamespace (nameSpace)
void | setSuperClassNamespace ()
Boolean | isMethod (string methodName)
String | call (methodName, [args]*)
void | dumpClassHierarchy ()
void | dump ()
Boolean | isMemberOfClass (string classname)
String | getClassName ()
String | getFieldValue (fieldName)
Boolean | setFieldValue (fieldName, value)
Integer | getDynamicFieldCount ()
String | getDynamicField (index)
Integer | getFieldCount ()
String | getField (int index)
void | setProgenitorFile (file)
String | getProgenitorFile ()
Integer | getType ()
String | getFieldType (fieldName)
void | setInternalName (string InternalName)
String | getInternalName ()
Boolean | isChildOfGroup (groupID)
Integer | getGroup ()
Boolean | startTimer (callbackFunction, float timePeriod, [repeat]?)
void | stopTimer ()
Boolean | isTimerActive ()
Integer | schedule (time, command, [arg]*)
Boolean | save (fileName, [selectedOnly]?)
void | addFieldFilter (fieldName)
void | removeFieldFilter (fieldName)

## Member Function Documentation

Float getAngularDrag | ( |  | ) |

Gets the angular drag coefficient.

Returns
  The angular drag coefficient.

Float getForce | ( |  | ) |

Gets the point force being used.

Returns
  The point force being used.

Float getLinearDrag | ( |  | ) |

Gets the linear drag coefficient.

Returns
  The linear drag coefficient.

Boolean getNonLinear | ( |  | ) |

Gets whether to apply the force non-linearly (using the inverse square law) or linearly.

Returns
  Whether to apply the force non-linearly (using the inverse square law) or linearly.

String getPosition | ( |  | ) |

Gets the position of the force center.

Returns
  (float x/float y) The x and y (horizontal and vertical) position of the force center.

Float getRadius | ( |  | ) |

Gets the radius of the point force being used.

Returns
  The radius of the point force being used.

String getTrackedObject | ( |  | ) |

Gets the scene object from which the position will be tracked.

Returns
  The scene object from which the position will be tracked or an empty string if nothing is being tracked.

void setAngularDrag | ( | angularDrag |  | ) |

Sets the angular drag coefficient (0.0 to 1.0).

Parameters

  angularDrag | The angular drag coefficient

Returns
  No return value.

void setForce | ( | force |  | ) |

Sets the point force to use.

Parameters

  force | The point force to use.

Returns
  No return value.

void setLinearDrag | ( | linearDrag |  | ) |

Sets the linear drag coefficient (0.0 to 1.0).

Parameters

  linearDrag | The linear drag coefficient

Returns
  No return value.

void setNonLinear | ( | nonLinear |  | ) |

Sets whether to apply the force non-linearly (using the inverse square law) or linearly.

Parameters

  nonLinear | whether to apply the force non-linearly (using the inverse square law) or linearly.

Returns
  No return value.

void setPosition | ( | float | x,
|  | float | y
| ) |  |

Sets the position of the force center.

Parameters

  x | The position along the horizontal axis.
  y | The position along the vertical axis.

Returns
  No return value.

void setRadius | ( | radius |  | ) |

Sets the radius of the point force to use.

Parameters

  radius | The radius of the point force to use.

Returns
  No return value.

void setTrackedObject | ( | sceneObject |  | ) |

Sets a scene object from which the position will be tracked.

Parameters

  sceneObject | The scene object from which the position will be tracked. An empty string will stop tracking.

Returns
  No return value.